Subject: Re: bug#76847: 31.0.50; feature/igc: Breakpoint 1, terminate_due_to_signal (sig=sig@entry=11, backtrace_limit=backtrace_limit@entry=40) at ./src/emacs.c:425

From: Gregor Zattler <[email-masked]>
Date: Sat, 08 Mar 2025 11:43:08 +0100

Hi Eli, Emacs developers,
* Eli Zaretskii <[email-masked]> [2025-03-08; 12:27 +02]:
>> Date: Fri, 07 Mar 2025 23:46:50 +0100
>> From:  Gregor Zattler via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> Dear Emacs developers, I just typed into
>> an email reply when Emacs stopped
>> working.
>>
>> Infos regarding this Emacs binary and
>> the GDB output below.
>>
>> The GDB session is still running on this
>> laptop.
>>
>> #0  terminate_due_to_signal (sig=sig@entry=11, backtrace_limit=backtrace_limit@entry=40) at ./src/emacs.c:425
>> #1  0x00005555555b39ec in handle_fatal_signal (sig=11) at ./src/sysdep.c:1793
>> #2  deliver_thread_signal (handler=<optimized out>, sig=11) at ./src/sysdep.c:1785
>> #3  deliver_fatal_thread_signal (sig=11) at ./src/sysdep.c:1805
>> #4  handle_sigsegv (sig=11, siginfo=0x555555b17430 <sigsegv_stack+64496>, arg=<optimized out>) at ./src/sysdep.c:1943
>> #5  0x00007ffff3cfc050 in <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6
>> #6  0x00007ffff3cfc267 in kill () at /lib/x86_64-linux-gnu/libc.so.6
>> #7  0x00005555559b30f4 in sigHandle ()
>> #8  0x00007ffff3cfc050 in <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6
>> #9  indirect_function (object=object@entry=XIL(0x7fffcd16d9f0)) at ./src/lisp.h:1160
>> #10 0x0000555555787f23 in get_keymap (object=object@entry=XIL(0x7fffcd16d9f0), autoload=autoload@entry=true, error_if_not_keymap=false) at ./src/keymap.c:200
>
> What is this object, which is the 1st argument of get_keymap?  Can you
> display it using xtype and/or pp?
>
>> #23 0x0000555555821f5f in Ffuncall (nargs=nargs@entry=2, args=args@entry=0x7fffffffc660) at ./src/eval.c:3114
>> #24 0x000055555577b8ce in read_char (commandflag=1, map=Python Exception <class 'gdb.error'>: value has been optimized out
>> , map@entry=XIL(0x7fffe518777b), prev_event=Python Exception <class 'gdb.error'>: value has been optimized out
>> , used_mouse_menu=used_mouse_menu@entry=0x7fffffffcb0b, end_time=end_time@entry=0x0) at ./src/keyboard.c:3272
>
> This seems to indicate read_char called some input method:
>
>       /* Call the input method.  */
>       tem = calln (Vinput_method_function, c);
>
> What is the value of Vinput_method_function?  Can you show its value
> in human-readable form using xtype and/or pp?

sorry, I don't know how to do this and
while I tried several things this
happened:

pp Vinput_method_function

Program received signal SIGSEGV, Segmentation fault.

Program terminated with signal SIGSEGV, Segmentation fault.
The program no longer exists.
The program being debugged exited while in a function called from GDB.
Evaluation of the expression containing the function
(safe_debug_print) will be abandoned.

...

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-